lv.pasts.eme.edoc

## Interface EDOCTemplate

-     public interface EDOCTemplate

  An `EDOCTemplate` class represents the EDOC template document.

  An instance of the `EDOCTemplate` object can be obtained using the `EDOC.getTemplate()` method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_TEMPLATE_ID` Identifier of the default EDOC template.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureType` | `getDefaultSignatureType()` Returns the default signature type of this `EDOCTemplate`.
    `String` | `getDescription()` Returns the description of this template.
    `String` | `getID()` Returns the template identifier specified by the `id` attribute.
    `String` | `getOrganization()` Returns the name of the organization defined in this template.
    `String` | `getSectionName()` Returns the name of the metadata section that this template defines.
    `SignatureTypeList` | `getSignatureTypeList()` Returns the available signature types defined by this `EDOCTemplate`.
    `String` | `getURL()` Returns the template URL specified by the `url` attribute.
    `String` | `getVersion()` Returns the version of this template.

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_ID

          static final String DEFAULT_TEMPLATE_ID

      Identifier of the default EDOC template.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          String getID()

      Returns the template identifier specified by the `id` attribute.
      Returns:
        the template identifier.

    - #### getURL

          String getURL()

      Returns the template URL specified by the `url` attribute.
      Returns:
        the template URL.

    - #### getSectionName

          String getSectionName()

      Returns the name of the metadata section that this template defines.
      Returns:
        the name of the metadata section.

    - #### getOrganization

          String getOrganization()

      Returns the name of the organization defined in this template.
      Returns:
        the name of the organization.

    - #### getDescription

          String getDescription()

      Returns the description of this template.
      Returns:
        the description.

    - #### getVersion

          String getVersion()

      Returns the version of this template.
      Returns:
        the version.

    - #### getSignatureTypeList

          SignatureTypeList getSignatureTypeList()

      Returns the available signature types defined by this `EDOCTemplate`.
      Returns:
        the available signature types.
      Since:
        2.1.0

    - #### getDefaultSignatureType

          SignatureType getDefaultSignatureType()
                                         throws EDOCException

      Returns the default signature type of this `EDOCTemplate`. The default signature type is the first one from the available signature types.
      Returns:
        the default signature type.
      Throws:
        `EDOCException` - if the default signature type cannot be resolved.
      Since:
        2.1.0

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO